@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=Nothing+You+Could+Do&family=Shippori+Mincho:wght@400;500;600;700;800&display=swap");

:root {
  interpolate-size: allow-keywords;
  --blk: #000;
  --dgry: #999;
  --gry: #ccc;
  --lgry: f5f5f5;
  --wht: #fff;
  /* --body-bgc: #fffdf6; */
  --body-bgc: #fff9e5;
  --main: #4c6731;
  /* --theme-color: var(--main); */
  --lmain: #d2ddd0;
  --main02: #84927e;
  --lmain02: #a5ad9a;
  --acc: #e18810;
  --lacc: #fdf8e0;
  --acc02: #284f5d;
  --lacc02: #cbe1e9;
  --acc03: #f04f14;
  --lacc03: #f2b29b;
  --acc04: #383523;
  --lacc04: #bdbaa4;
  --acc05: #e9ac07;
  --lacc05: #f3e6c4;
  --grad-main: linear-gradient(90deg, var(--main) 0%, var(--lmain) 100%);
  --grad-main-rev: linear-gradient(270deg, var(--main) 0%, var(--lmain) 100%);
  --grad-acc: linear-gradient(90deg, var(--acc) 0%, var(--lacc) 100%);
  --grad-acc-rev: linear-gradient(270deg, var(--acc) 0%, var(--lacc) 100%);
  --grad-acc02: linear-gradient(90deg, var(--acc02) 0%, var(--lacc02) 100%);
  --grad-acc02-rev: linear-gradient(270deg, var(--acc02) 0%, var(--lacc02) 100%);
  --grad-acc03: linear-gradient(90deg, var(--acc03) 0%, var(--lacc03) 100%);
  --grad-acc03-rev: linear-gradient(270deg, var(--acc03) 0%, var(--lacc03) 100%);
  --grad-acc04: linear-gradient(90deg, var(--acc04) 0%, var(--lacc04) 100%);
  --grad-acc04-rev: linear-gradient(270deg, var(--acc04) 0%, var(--lacc04) 100%);
  --grad-acc05: linear-gradient(90deg, var(--acc05) 0%, var(--lacc05) 100%);
  --grad-acc05-rev: linear-gradient(270deg, var(--acc05) 0%, var(--lacc05) 100%);
  --transition: all 0.3s ease-in-out;
  --oversize: calc((100% - 100vw) / 2);
}

/* ==================================
リセット・調整・ファンデーション
===================================== */
body {
  text-autospace: normal;
  overflow-wrap: anywhere;
}

/*---------- アクセシビリティ ----------*/
/* アイコンをスクリーンリーダーに読み上げられないようにする */
i,
[class*="material-icons"],
[class*="material-symbols"] {
  speak: none;
}

/* ==================================
moduleアレンジ
===================================== */
@media print, screen and (min-width: 769px) {
  .module__011.col3 {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 1em;
  }
}

/* ==================================
タイポ
===================================== */
/*---------- font-family ----------*/
.ff-nycd {
  font-family: "Nothing You Could Do", cursive;
}
.ff-shippori {
  font-family: "Shippori Mincho", serif;
}

/*---------- 縦書き ----------*/
.vertical-rl {
  writing-mode: vertical-rl;
}

/*---------- 袋文字 ----------*/
.text-hukuro {
  text-shadow:
    2px 2px 1px var(--blk),
    -2px 2px 1px var(--blk),
    2px -2px 1px var(--blk),
    -2px -2px 1px var(--blk),
    2px 0px 1px var(--blk),
    0px 2px 1px var(--blk),
    -2px 0px 1px var(--blk),
    0px -2px 1px var(--blk);
}
.text-hukuro-wht {
  text-shadow:
    2px 2px 1px var(--wht),
    -2px 2px 1px var(--wht),
    2px -2px 1px var(--wht),
    -2px -2px 1px var(--wht),
    2px 0px 1px var(--wht),
    0px 2px 1px var(--wht),
    -2px 0px 1px var(--wht),
    0px -2px 1px var(--wht);
}

/*---------- text-stroke ----------*/
.text-stroke {
  -webkit-text-stroke: 0.0625em var(--blk);
  /* text-stroke: 0.0625em var(--blk); */
  paint-order: stroke;
}
.text-stroke-wht {
  -webkit-text-stroke: 0.0625em var(--wht);
  /* text-stroke: 0.0625em var(--wht); */
  paint-order: stroke;
}

/*---------- text-shadow ----------*/
.text-shadow {
  text-shadow: 0px 0px 0.25em var(--blk);
}
.text-shadow-wht {
  text-shadow: 0px 0px 0.25em var(--wht);
}

/*---------- box-decoration-break ----------*/
.decoration-break {
  box-decoration-break: clone;
  -webkit-box-decoration-break: clone;
}

/*---------- マーカーのあしらい ----------*/
mark {
  background: linear-gradient(transparent 60%, yellow 60%);
}

/*---------- テキストをグラデーションにするベース ----------*/
.text-grad {
  -webkit-background-clip: text !important;
  -webkit-text-fill-color: transparent !important;
  display: inline-block;
}

/* ==================================
カラー
===================================== */
/*---------- color ----------*/
.cl-blk {
  color: var(--blk) !important;
}
.cl-dgry {
  color: var(--dgry) !important;
}
.cl-gry {
  color: var(--gry) !important;
}
.cl-lgry {
  color: var(--lgry) !important;
}
.cl-wht {
  color: var(--wht) !important;
}
.cl-main {
  color: var(--main) !important;
}
.cl-lmain {
  color: var(--lmain) !important;
}
.cl-main02 {
  color: var(--main02) !important;
}
.cl-lmain02 {
  color: var(--lmain02) !important;
}
.cl-acc {
  color: var(--acc) !important;
}
.cl-lacc {
  color: var(--lacc) !important;
}
.cl-acc02 {
  color: var(--acc02) !important;
}
.cl-lacc02 {
  color: var(--lacc02) !important;
}
.cl-acc03 {
  color: var(--acc03) !important;
}
.cl-lacc03 {
  color: var(--lacc03) !important;
}
.cl-acc04 {
  color: var(--acc04) !important;
}
.cl-lacc04 {
  color: var(--lacc04) !important;
}
.cl-acc05 {
  color: var(--acc05) !important;
}
.cl-lacc05 {
  color: var(--lacc05) !important;
}

/*---------- border-color ----------*/
.border-blk {
  border-color: var(--blk) !important;
}
.border-dgry {
  border-color: var(--dgry) !important;
}
.border-gry {
  border-color: var(--gry) !important;
}
.border-lgry {
  border-color: var(--lgry) !important;
}
.border-wht {
  border-color: var(--wht) !important;
}
.border-main {
  border-color: var(--main) !important;
}
.border-lmain {
  border-color: var(--lmain) !important;
}
.border-main02 {
  border-color: var(--main02) !important;
}
.border-lmain02 {
  border-color: var(--lmain02) !important;
}
.border-acc {
  border-color: var(--acc) !important;
}
.border-lacc {
  border-color: var(--lacc) !important;
}
.border-acc02 {
  border-color: var(--acc02) !important;
}
.border-lacc02 {
  border-color: var(--lacc02) !important;
}
.border-acc03 {
  border-color: var(--acc03) !important;
}
.border-lacc03 {
  border-color: var(--lacc03) !important;
}
.border-acc04 {
  border-color: var(--acc04) !important;
}
.border-lacc04 {
  border-color: var(--lacc04) !important;
}
.border-acc05 {
  border-color: var(--acc05) !important;
}
.border-lacc05 {
  border-color: var(--lacc05) !important;
}

/*---------- background-color ----------*/
.bg-blk {
  background-color: var(--blk) !important;
}
.bg-dgry {
  background-color: var(--dgry) !important;
}
.bg-gry {
  background-color: var(--gry) !important;
}
.bg-lgry {
  background-color: var(--lgry) !important;
}
.bg-wht {
  background-color: var(--wht) !important;
}
.bg-main {
  background-color: var(--main) !important;
}
.bg-lmain {
  background-color: var(--lmain) !important;
}
.bg-main02 {
  background-color: var(--main02) !important;
}
.bg-lmain02 {
  background-color: var(--lmain02) !important;
}
.bg-acc {
  background-color: var(--acc) !important;
}
.bg-lacc {
  background-color: var(--lacc) !important;
}
.bg-acc02 {
  background-color: var(--acc02) !important;
}
.bg-lacc02 {
  background-color: var(--lacc02) !important;
}
.bg-acc03 {
  background-color: var(--acc03) !important;
}
.bg-lacc03 {
  background-color: var(--lacc03) !important;
}
.bg-acc04 {
  background-color: var(--acc04) !important;
}
.bg-lacc04 {
  background-color: var(--lacc04) !important;
}
.bg-acc05 {
  background-color: var(--acc05) !important;
}
.bg-lacc05 {
  background-color: var(--lacc05) !important;
}

/* ==================================
BS5
===================================== */
.d-inline-block {
  display: inline-block;
}

translate-middle {
  transform: translate(-50%, -50%) !important;
}
.translate-middle-x {
  transform: translateX(-50%) !important;
}
.translate-middle-y {
  transform: translateY(-50%) !important;
}

.border {
  border: 1px solid var(--gry);
}
.border {
  border: 1px solid var(--gry);
}
.border-top {
  border-top: 1px solid var(--gry);
}
.border-end {
  border-right: 1px solid var(--gry);
}
.border-bottom {
  border-bottom: 1px solid var(--gry);
}
.border-start {
  border-left: 1px solid var(--gry);
}

.border-1 {
  border-width: 1px;
}
.border-2 {
  border-width: 2px;
}
.border-3 {
  border-width: 3px;
}
.border-4 {
  border-width: 4px;
}
.border-5 {
  border-width: 5px;
}

.shadow {
  box-shadow:
    0px 0.1em 0.3em 0px rgba(0, 0, 0, 0.1),
    0px 0.3em 2em -0.5em rgba(0, 0, 0, 0.08),
    0px 0.5em 4em -1em rgba(0, 0, 0, 0.06);
}
.shadow-wht {
  box-shadow:
    0px 0.1em 0.3em 0px rgba(255, 255, 255, 0.1),
    0px 0.3em 2em -0.5em rgba(255, 255, 255, 0.08),
    0px 0.5em 4em -1em rgba(255, 255, 255, 0.06);
}

/*---------- 画像の比率 ----------*/
.u-aspect {
  /* 縦横比はstyleでCSS変数を書き換える
     ex) style="--aspect: 2.51 / 1;" */
  --aspect: auto;

  @media print, screen and (min-width: 576px) {
    --aspect-sm: var(--aspect);
  }
  @media print, screen and (min-width: 768px) {
    --aspect-md: var(--aspect-sm);
  }
  @media print, screen and (min-width: 992px) {
    --aspect-lg: var(--aspect-md);
  }
  @media print, screen and (min-width: 1200px) {
    --aspect-xl: var(--aspect-lg);
  }
  @media print, screen and (min-width: 1400px) {
    --aspect-xxl: var(--aspect-xl);
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: var(--aspect);

    @media print, screen and (min-width: 576px) {
      aspect-ratio: var(--aspect-sm);
    }
    @media print, screen and (min-width: 768px) {
      aspect-ratio: var(--aspect-md);
    }
    @media print, screen and (min-width: 992px) {
      aspect-ratio: var(--aspect-lg);
    }
    @media print, screen and (min-width: 1200px) {
      aspect-ratio: var(--aspect-xl);
    }
    @media print, screen and (min-width: 1400px) {
      aspect-ratio: var(--aspect-xxl);
    }
  }

  /* 画像全体を枠内に入れたいとき */
  &.--contain img,
  .--contain img {
    object-fit: contain;
  }
}

/*---------- 角丸 ----------*/
[class*="u-rounded"] {
  overflow: clip;
}

.u-rounded {
  --round: 0.625em;
  border-radius: var(--round);

  @media print, screen and (min-width: 576px) {
    --round-sm: var(--round);
    border-radius: var(--round-sm);
  }
  @media print, screen and (min-width: 768px) {
    --round-md: var(--round-sm);
    border-radius: var(--round-md);
  }
  @media print, screen and (min-width: 992px) {
    --round-lg: var(--round-md);
    border-radius: var(--round-lg);
  }
  @media print, screen and (min-width: 1200px) {
    --round-xl: var(--round-lg);
    border-radius: var(--round-xl);
  }
  @media print, screen and (min-width: 1400px) {
    --round-xxl: var(--round-xl);
    border-radius: var(--round-xxl);
  }
}

.--round-top {
  border-bottom-right-radius: unset !important;
  border-bottom-left-radius: unset !important;
}
.--round-bottom {
  border-top-right-radius: unset !important;
  border-top-left-radius: unset !important;
}
.--round-right {
  border-top-left-radius: unset !important;
  border-bottom-left-radius: unset !important;
}
.--round-left {
  border-top-right-radius: unset !important;
  border-bottom-right-radius: unset !important;
}
.--round-trans-up {
  border-top-left-radius: unset !important;
  border-bottom-right-radius: unset !important;
}
.--round-trans-down {
  border-top-right-radius: unset !important;
  border-bottom-left-radius: unset !important;
}

/*---------- はみ出させる ----------*/
.u-over {
  margin-inline: var(--oversize);
}

/* 右に */
.u-r-over {
  margin-right: var(--oversize);
}
@media print, screen and (min-width: 768px) {
  .u-r-md-over {
    margin-right: var(--oversize);
  }
}
@media print, screen and (min-width: 992px) {
  .u-r-lg-over {
    margin-right: var(--oversize);
  }
}

/* 左に */
.u-l-over {
  margin-left: var(--oversize);
}
@media print, screen and (min-width: 768px) {
  .u-l-md-over {
    margin-left: var(--oversize);
  }
}
@media print, screen and (min-width: 992px) {
  .u-l-lg-over {
    margin-left: var(--oversize);
  }
}

/* 2カラムのうち、右カラムだけはみ出させる */
.u-r-over-50vw {
  width: 50vw;
  margin-right: -50vw;
}
@media print, screen and (min-width: 768px) {
  .u-r-over-50vw-md {
    width: 50vw;
    margin-right: -50vw;
  }
}
@media print, screen and (min-width: 992px) {
  .u-r-over-50vw-lg {
    width: 50vw;
    margin-right: -50vw;
  }
}
@media print, screen and (min-width: 1200px) {
  .u-r-over-50vw-xl {
    width: 50vw;
    margin-right: -50vw;
  }
}
@media print, screen and (min-width: 1400px) {
  .u-r-over-50vw-xxl {
    width: 50vw;
    margin-right: -50vw;
  }
}

/* 2カラムのうち、左カラムだけはみ出させる */
.u-l-over-50vw {
  width: 50vw;
  margin-left: calc((50vw - 50%) * -1);
}
@media print, screen and (min-width: 768px) {
  .u-l-over-50vw-md {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
}
@media print, screen and (min-width: 992px) {
  .u-l-over-50vw-lg {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
}
@media print, screen and (min-width: 1200px) {
  .u-l-over-50vw-xl {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
}
@media print, screen and (min-width: 1400px) {
  .u-l-over-50vw-xxl {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
}

/* ========================================
パーツ
======================================== */
/*---------- アイコン（アイコンフォント想定。大きさはp-*やfs-*、個別にwidth・height指定して調整。） ----------*/
.c-icon {
  aspect-ratio: 1 / 1;
  speak: none;
  display: inline-block;
  vertical-align: bottom;
  line-height: 1;

  --icon-size: 1.5em;
  width: var(--icon-size);
  height: var(--icon-size);

  @media print, screen and (min-width: 576px) {
    --icon-size-sm: var(--icon-size);
    width: var(--icon-size-sm);
    height: var(--icon-size-sm);
  }
  @media print, screen and (min-width: 768px) {
    --icon-size-md: var(--icon-size-sm);
    width: var(--icon-size-md);
    height: var(--icon-size-md);
  }
  @media print, screen and (min-width: 992px) {
    --icon-size-lg: var(--icon-size-md);
    width: var(--icon-size-lg);
    height: var(--icon-size-lg);
  }
  @media print, screen and (min-width: 1200px) {
    --icon-size-xl: var(--icon-size-lg);
    width: var(--icon-size-xl);
    height: var(--icon-size-xl);
  }
  @media print, screen and (min-width: 1400px) {
    --icon-size-xxl: var(--icon-size-xl);
    width: var(--icon-size-xxl);
    height: var(--icon-size-xxl);
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    speak: none;
  }
  &.--cover img {
    object-fit: cover;
  }
}

/*---------- アイコンとテキスト（ボタンによく使う） ----------*/
/* 余白の微調整は「gap-*」 */
.c-icon-text {
  display: grid;
  grid-template-columns: repeat(2, auto);
  column-gap: 0.75em;
  justify-content: center;
  align-items: center;

  /* アイコンだけ右寄せ */
  &.--r {
    grid-template-columns: 1fr auto;
  }
  /* アイコンだけ左寄せ */
  &.--l {
    grid-template-columns: auto 1fr;
  }
}

/*---------- レイアウト ----------*/
/* display: grid;で重ねる */
.l-overlap {
  display: grid;
  > * {
    grid-area: 1 / -1;
  }
}
/* 子要素を中央配置 */
/* 縦 */
.l-v-center {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
/* 縦横中央 */
.l-center {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/*---------- 背景のベース ----------*/
/* 背景画像を敷く場合、
背景画像に各色のフィルターをかける場合
疑似要素を配置したいときのベース */
.p-bg {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 1;
  /* opacity（濃さ）はstyleでCSS変数を書き換える
     ex) style="--bg-opacity: 0.5;" */
  --bg-opacity: 0.3;

  /* 疑似要素のファンデーション */
  &::before,
  &::after {
    content: "";
    display: block;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius: inherit;
    pointer-events: none;
    speak: none;
    opacity: var(--bg-opacity);
  }

  /* 画像の時 */
  &.--img::before,
  &.--img::after {
    z-index: 1;
  }
  /* グレースケール透明フィルター */
  &.--blk::before {
    background-color: var(--blk);
  }
  &.--def::before {
    background-color: var(--DEF);
  }
  &.--dgry::before {
    background-color: var(--DGRY);
  }
  &.--gry::before {
    background-color: var(--GRY);
  }
  &.--lgry::before {
    background-color: var(--LGRY);
  }
  &.--wht::before {
    background-color: var(--wht);
  }
  /* メインカラーフィルター */
  &.--main::before {
    background-color: var(--main);
  }
  &.--lmain::before {
    background-color: var(--lmain);
  }
  &.--main02::before {
    background-color: var(--main02);
  }
  &.--lmain02::before {
    background-color: var(--lmain02);
  }
  /* アクセントカラーフィルター */
  &.--acc::before {
    background-color: var(--acc);
  }
  &.--lacc::before {
    background-color: var(--lacc);
  }
  &.--acc02::before {
    background-color: var(--acc02);
  }
  &.--lacc02::before {
    background-color: var(--lacc02);
  }
  &.--acc03::before {
    background-color: var(--acc03);
  }
  &.--lacc03::before {
    background-color: var(--lacc03);
  }
  &.--acc04::before {
    background-color: var(--acc04);
  }
  &.--lacc04::before {
    background-color: var(--lacc04);
  }
  &.--acc05::before {
    background-color: var(--acc05);
  }
  &.--lacc05::before {
    background-color: var(--lacc05);
  }
  /* グラデーションカラーフィルター */
  &.--grad-main::before {
    background: var(--grad-main);
  }
  &.--grad-main02-rev::before {
    background: var(--grad-main02-rev);
  }
  &.--grad-acc02::before {
    background: var(--grad-acc02);
  }
  &.--grad-acc02-rev::before {
    background: var(--grad-acc02-rev);
  }
  &.--grad-acc03::before {
    background: var(--grad-acc03);
  }
  &.--grad-acc03-rev::before {
    background: var(--grad-acc03-rev);
  }
  &.--grad-acc04::before {
    background: var(--grad-acc04);
  }
  &.--grad-acc04-rev::before {
    background: var(--grad-acc04-rev);
  }
  &.--grad-acc05::before {
    background: var(--grad-acc05);
  }
  &.--grad-acc05-rev::before {
    background: var(--grad-acc05-rev);
  }
  /* ぼかしフィルター
     強さはstyleでCSS変数を書き換える
     ex) style="--blur: 1em;" */
  &.--blur {
    --blur: 0.5rem;
  }
  &.--blur::after {
    backdrop-filter: blur(var(--blur));
    opacity: 1;
  }
  /* 乗算 */
  &.--multiply::before,
  &.--multiply::after {
    mix-blend-mode: multiply;
  }

  .--bgi {
    position: absolute;
    inset: 0;
    z-index: -2;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}

/*---------- ホバーアクション ----------*/
.c-hover {
  transition: var(--transition);
  text-decoration: none;

  &:hover {
    text-decoration: none;
  }
  /* 背景色 */
  &.--bg-bl:hover {
    background-color: var(--blk);
  }
  &.--bg-def:hover {
    background-color: var(--DEF);
  }
  &.--bg-dgry:hover {
    background-color: var(--DGRY);
  }
  &.--bg-gry:hover {
    background-color: var(--GRY);
  }
  &.--bg-lgry:hover {
    background-color: var(--LGRY);
  }
  &.--bg-wh:hover {
    background-color: var(--wht);
  }
  &.--bg-main:hover {
    background-color: var(--main);
  }
  &.--bg-lmain:hover {
    background-color: var(--lmain);
  }
  &.--bg-accent:hover {
    background-color: var(--acc);
  }
  &.--bg-laccent:hover {
    background-color: var(--lacc);
  }
  &.--bg-other:hover {
    background-color: var(--OTH);
  }
  &.--bg-lother:hover {
    background-color: var(--LOTH);
  }
  /* 動き */
  &.--up,
  .--up {
    --translate-up: -0.125rem;
    transition: var(--transition);
  }
  &.--up:hover,
  &:hover .--up {
    transform: translateY(var(--translate-up));
  }
  &.--down,
  .--down {
    --translate-down: 0.125rem;
    transition: var(--transition);
  }
  &.--down:hover,
  &:hover .--down {
    transform: translateY(var(--translate-down));
  }
  &.--right,
  .--right {
    --translate-right: 0.125rem;
    transition: var(--transition);
  }
  &.--right:hover,
  &:hover .--right {
    transform: translateX(var(--translate-right));
  }
  &.--left,
  .--left {
    --translate-left: -0.125rem;
    transition: var(--transition);
  }
  &.--left:hover,
  &:hover .--left {
    transform: translateX(var(--translate-left));
  }
  &.--scale-up,
  .--scale-up {
    --scale: scale(1.1);
    img {
      transition: var(--transition);
    }
    &:hover img {
      transform: var(--scale);
    }
  }
  /* あしらい */
  &.--underline:hover,
  &:hover .--underline {
    text-decoration: underline;
  }
  &.--opacity,
  .--opacity {
    --opacity: 0.8;
    &:hover {
      opacity: var(--opacity);
      img {
        opacity: var(--opacity);
      }
    }
  }
  /* l-overlapで重ねた要素のうち、ホバーしたら--afterが表示される */
  &.--overlap {
    .--after {
      opacity: 0;
      transition: var(--transition);
    }
    &:hover .--after {
      opacity: 1;
    }
  }
  /* 下線が伸びる */
  &.--bottom-line {
    position: relative;
    padding-bottom: min(0.5em, 5%);
    &::after {
      content: "";
      width: 0%;
      height: 2px;
      background-color: currentColor;
      position: absolute;
      bottom: -1px;
      left: 0;
      transition: 0.3s cubic-bezier(0.42, 0, 0.13, 0.99);
    }
    &:hover::after {
      @media (hover: hover) and (pointer: fine) {
        width: 100%;
      }
    }
  }
  /* 下線が伸びる（子要素の場合） */
  .--bottom-line {
    position: relative;
    padding-bottom: min(0.5em, 5%);
    &::after {
      content: "";
      width: 0%;
      height: 2px;
      background-color: currentColor;
      position: absolute;
      bottom: -1px;
      left: 0;
      transition: 0.3s cubic-bezier(0.42, 0, 0.13, 0.99);
    }
  }
  &:hover .--bottom-line::after {
    @media (hover: hover) and (pointer: fine) {
      width: 100%;
    }
  }
  /* shadowを入れる */
  &.--shadow:hover {
    @media (hover: hover) and (pointer: fine) {
      /* box-shadow: 0 .5em 1em currentColor; */
      box-shadow: 0 0.5em 1em rgb(0 0 0 / 30%);
    }
  }
}

/* ホバーしたら下線が左から順に伸びる
（display: inline;にする必要があるので注意） */
.c-hover {
  &.--underline-chain,
  .--underline-chain {
    display: inline;
    overflow: hidden;
    background-image: linear-gradient(90deg, currentColor, currentColor);
    background-repeat: no-repeat;
    background-position: bottom 0 left 0;
    background-size: 0 1px;
    transition-duration: 0.3s;
    transition-property: background-size;
  }
}
@media (any-hover: hover) {
  .c-hover:hover {
    &.--underline-chain,
    .--underline-chain {
      background-size: 100% 1px;
    }
  }
}

/* ==================================
コンポーネント
===================================== */
/*---------- タイトル ----------*/
.p-title {
  .c-title__en {
    /* font-family: "Nothing You Could Do", cursive; */
    font-family: "Trajan Pro", serif;
    line-height: 1;
    text-box: trim-both cap alphabetic;
    color: var(--main);
  }
  .c-title__ja {
    font-family: "Shippori Mincho", serif;
    line-height: 1.2;
    text-box: trim-both cap alphabetic;
  }
  .c-title__en + .c-title__ja {
    margin-top: 0.75em;
  }
  .c-title__ja + .c-title__en {
    margin-top: 0.5em;
  }
}
:where(.p-title) {
  :where(.c-title__en) {
    font-size: 4rem;
    @media print, screen and (min-width: 769px) {
      font-size: 5.6rem;
    }
  }
  .c-title__ja:not([class*="fs-"]) {
    font-size: 2rem;
    @media print, screen and (min-width: 769px) {
      font-size: 2.8rem;
    }
  }
}

.u-title-up {
  position: relative;
  top: -1.25em;
  @media print, screen and (min-width: 769px) {
    top: -1.75em;
  }
}

/*---------- ボタン ----------*/
:where(.p-ibasho) {
  .btn__01 {
    --bs-btn-bg: var(--main);
    --theme-color: var(--main);
    /* transition: var(--transition); */
    transition:
      background-position 0.3s ease-in-out,
      background-color 0.3s ease-in-out,
      color 0.3s ease-in-out !important;
  }
  @media (any-hover: hover) {
    .btn__01.btn-primary:hover {
      background-color: var(--lmain);
    }
  }
}

/*---------- table ----------*/
.p-table {
  --padding: 0.75em 0.5em;
  border-collapse: collapse;
  th,
  td {
    vertical-align: baseline;
    padding: var(--padding);
  }
  th {
    text-align: start;
    text-wrap: nowrap;
  }
}
.p-table.--border-bottom {
  tr {
    border-bottom: 1px solid #ccc;
  }
}
.p-table.--column {
  tr {
    display: flex;
    flex-direction: column;
    > th,
    > td {
      width: 100%;
    }
  }
}
@media print, screen and (min-width: 768px) {
  .p-table.--sp-column {
    tr {
      display: flex;
      flex-direction: column;
      > th,
      > td {
        width: 100%;
      }
    }
  }
}

/* ==================================
MV
===================================== */
:where(body).p-ibasho {
  background-color: var(--body-bgc);
}

.p-ibasho {
  .home__hero {
    /* overflow: unset; */
    /* height: calc(100vh - 6.4rem - 4.5rem); */
    max-height: 75vh;
    height: auto;
    aspect-ratio: 9/16;

    @media print, screen and (min-width: 769px) {
      aspect-ratio: 16/9;
      /* max-height: calc(100vh - 11rem - 7.2rem); */
      max-height: calc(100vh - 11rem);
    }
  }

  .home__hero--catch {
    top: 50%;
    transform: translateY(-50%);
    .text01 {
      font-size: 1.4rem;
      line-height: 1.6;
    }
    .text02 {
      margin-left: unset;
      line-height: 1;
      text-transform: uppercase;
      span {
        margin-left: unset;
        display: block;
      }
    }
    .f-skyplaza {
      font-size: 4.8rem;
    }
    .f-ibasho {
      font-size: 6.6rem;
    }
  }

  .home__hero--video {
    width: 100%;
    height: auto;
    /* inset: 0; */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    aspect-ratio: 9/16;
    @media print, screen and (min-width: 769px) {
      aspect-ratio: 16/9;
    }

    .home__hero--video_item {
      width: 100%;
      height: auto;
      min-height: unset;
      aspect-ratio: 9/16;
      object-fit: cover;

      @media print, screen and (min-width: 769px) {
        aspect-ratio: 16/9;
      }
    }
  }

  .home__hero--news {
    position: absolute;
    bottom: 0;
    right: 0;
    transform: translateY(50%);
    z-index: 2;
    @media print, screen and (min-width: 769px) {
      bottom: 2em;
      right: 2em;
      transform: translateY(0%);
    }
  }
  .p-title.--news {
    display: flex;
    align-items: baseline;
    gap: 0.75em;
    .c-title__en {
      font-size: 2rem;
    }
    .c-title__ja {
      font-size: 1.4rem;
      margin-top: 0;
    }
  }

  .p-mv-news-container {
    width: 90vw;
    max-width: 64rem;
    border-left: 0.8rem solid var(--main);
    .p-article {
      margin-top: 0.5em;
      display: flex;
      gap: 0.75em;
      &.c-hover.--bottom-line::after {
        background-color: var(--main);
      }
      .c-article__time {
        text-wrap: nowrap;
        line-height: 1.5;
      }
      .c-article__title-wrap {
        flex-grow: 1;
        display: flex;
        align-items: center;
        gap: 0.75em;
        .c-article__title {
          flex-grow: 1;
          font-size: 1em;
        }
        [class*="material-symbols-"] {
          font-size: 1.6em;
        }
      }
    }
  }
}

/* ==================================
ナビゲーション
===================================== */
.main__pageNavi {
  background-color: var(--main02);
}

/* ==================================
フロアマップ
===================================== */
.p-floor-map {
  display: grid;
  > * {
    grid-area: -1 / 1;
  }
  .p-title {
    .c-title__en {
      font-size: 1.2rem;
      font-weight: bold;
    }
    .c-title__ja {
      font-size: 1.6rem;
      margin-top: 0;
    }
  }
}

.p-floor-map__nav {
  > ul {
    width: 100%;
    height: 100%;
    position: relative;
    > li {
      position: absolute;
    }
  }
  .--library {
    top: 7%;
    right: 17%;
  }
  .--garden {
    top: 45%;
    right: 25%;
  }
  .--lounge {
    top: 26%;
    right: 19%;
  }
  .--park {
    top: 66%;
    left: 14%;
  }
  .--multipurpose {
    top: 38%;
    left: 5%;
  }
  .--hall {
    top: 89%;
    left: 26%;
  }
  /* @media print, screen and (min-width: 769px) {
    .--library {
      top: 30%;
      right: unset;
      left: 7%;
    }
    .--garden {
      top: 30%;
      right: unset;
      left: 49.5%;
    }
    .--lounge {
      top: 30%;
      right: unset;
      left: 29%;
    }
    .--park {
      top: 65%;
      right: unset;
      left: 69%;
    }
    .--multipurpose {
      top: 80%;
      right: unset;
      left: 41%;
    }
    .--hall {
      top: 65%;
      right: unset;
      left: 88%;
    }
  } */
}


.p-bg .--icon {
  position: absolute;
  z-index: -1;
  img {
    width: 100%;
    height: auto;
  }
  &.--floormap {
    top: 4rem;
    right: 0;
    width: 30vw;
    max-width: 16rem;
  }
}

/* ==================================
すごし方
===================================== */
.p-ibasho-howto {
  .module__020--visual {
    position: relative;
    padding: 0 1rem 1rem 0;
    img {
      aspect-ratio: 21/9;
      object-fit: cover;
    }
    .--bg {
      display: block;
      content: "";
      position: absolute;
      width: calc(100% - 1rem);
      height: calc(100% - 1rem);
      z-index: -1;
      right: 0;
      bottom: 0;
    }
    figcaption {
      position: absolute;
      top: -0.75em;
      right: 0;
    }
  }
}

.p-bg .--icon {
  &.--howto {
    top: 1.5rem;
    left: 0;
    width: 25vw;
    max-width: 16rem;
  }
}

.p-card {
  position: relative;
  .--bg {
    position: absolute;
    inset: 0;
    z-index: -1;
    rotate: -2deg;
  }
}

/* ==================================
サービス
===================================== */
.p-bg .--icon {
  &.--service {
    top: 1.5rem;
    left: 0;
    width: 25vw;
    max-width: 12rem;
    opacity: 0.5;
    @media print, screen and (min-width: 769px) {
      top: 4rem;
      left: unset;
      right: 0;
    }
  }
}

.p-ibasho-service {
  .module__020--visual {
    position: relative;
    figcaption {
      position: absolute;
      top: -0.75em;
      right: 0;
    }
  }
}

.dashed-note {
  background-image: linear-gradient(90deg, transparent 0%, transparent 50%, var(--wht) 0%, var(--wht) 100%), linear-gradient(180deg, var(--gry) 1px, transparent 1px);
  background-repeat: repeat;
  background-size:
    1.2rem 100%,
    100% calc(2em - 2px);
  padding-bottom: 2px;
  margin-top: -2px;
}

.p-ibasho-service {
  .module__020 {
    gap: 0;
  }
  .module__020:not(.is-reverse) {
    .module__020--visual {
      padding-right: 2.4rem;
    }
    .module__020--text {
      margin-left: 2.4rem;
      margin-top: -2em;
    }
    @media print, screen and (min-width: 769px) {
      .module__020--visual {
        padding-right: 0;
      }
      .module__020--text {
        /* align-self: flex-end; */
        align-self: center;
        margin-top: 0;
        margin-left: -6.4rem;
      }
    }
  }

  .module__020.is-reverse {
    .module__020--visual {
      padding-left: 2.4rem;
    }
    .module__020--text {
      margin-right: 2.4rem;
      margin-top: -2em;
    }
    @media print, screen and (min-width: 769px) {
      .module__020--visual {
        padding-left: 0;
      }
      .module__020--text {
        /* align-self: flex-end; */
        align-self: center;
        margin-top: 0;
        margin-right: -6.4rem;
      }
    }
  }
}

/* ==================================
セットプラン
===================================== */
.p-bg .--icon {
  &.--package {
    top: 0;
    right: 0;
    width: 33.33vw;
    max-width: 20rem;
  }
  &.--package.--03 {
    top: 0;
    right: 0;
    width: 33.33vw;
    max-width: 20rem;
  }
}

/* ==================================
ご利用までの流れ
===================================== */
.c-circle {
  aspect-ratio: 1/1;
  min-width: 6rem;
}

/* ==================================
ご利用料金・時間帯のご案内
===================================== */
.table__02.--main {
  th {
    background-color: var(--main);
    color: var(--wht);
  }
  td {
    background-color: var(--wht);
  }
  tbody {
    th {
      background-color: var(--lmain);
      color: var(--blk);
    }
  }
}

.table__02.no-scroll {
  .simplebar-content {
    padding-right: 0 !important;
  }
}

/* ==================================
FAQ
===================================== */
.p-ibasho {
  .faq__list dt {
    color: var(--blk);
  }
  .faq__list dt::before {
    background-color: var(--main);
  }
  .faq__list dd::before {
    background-color: var(--acc);
  }
}

/* ==================================
ギャラリー
===================================== */
.p-ibasho-gallery {
  .gallery__01--inner {
    display: grid;
  }
}
